Subject: Re: Find .pm files automatically (was Re: Fix git-svn tests for SVN 1.7.5.)

From: Jonathan Nieder <[email-masked]>
Date: Tue, 17 Jul 2012 21:14:43 -0500

Thanks for the reply.  Quick clarifications:

Michael G Schwern wrote:

> The man page is now man3/bundles::Error::Error.3 which is equally as incorrect
> as man3/private-Error.3.  It is possible to correct that so it's man3/Error.3,
> but that's going to require some effort.  Basically its in the same boat as
> PM.  Once you have to change one you have to change them all.
>
> Why do install scripts have specific code to look for that man page?

To delete it. :)

[...]
> Ideally, that second Makefile would go away.  Parallel build systems are extra
> work and generate bugs.

Agreed --- I'd love to see the NO_PERL_MAKEMAKER option go away.

> The log suggests it might have something to do with people wanting to build
> with an ActiveState Perl on Cygwin or something?  MakeMaker builds different
> Makefiles depending on the OS, so it may be as simple as telling Makefile.PL
> what flavor of make you're using.

I think the main user is the ordinary Git for Windows build (which
uses perl 5.8.8, from mingw or msys I imagine).  If you have the
Windows expertise to help them or know someone who could, I'm sure
they'd be happy to switch their git build to use MakeMaker.

Website: http://msysgit.github.com/

Thanks,
Jonathan